module mojo_top(
    input clk,
    input rst_n,
    input cclk,
    output[7:0]led,
    output spi_miso,
    input spi_ss,
    input spi_mosi,
    input spi_sck,
    output [3:0] spi_channel,
    input avr_tx,
    output avr_rx,
    input avr_rx_busy,
    output motor_left,
    output motor_right,
    input switch_left,
    input switch_right,
    output [2:0] servo_en
    );

wire rst = ~rst_n;

assign spi_miso = 1'bz;
assign avr_rx = 1'bz;
assign spi_channel = 4'bzzzz;

assign led = 8'b0;

assign servo_en = 3'b111; // enable the Servo Shield

wire [7:0] left, right;

servo servo_left (
    .clk(clk),
    .rst(rst),
    .position(left),
    .servo(motor_left)
);

servo servo_right (
    .clk(clk),
    .rst(rst),
    .position(right),
    .servo(motor_right)
);

robot_fsm robot_fsm (
    .clk(clk),
    .rst(rst),
    .switch_left(switch_left),
    .switch_right(switch_right),
    .left(left),
    .right(right)
);

endmodule